import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { EventEmitter } from '@angular/core';
import { TAttributeListKind, TAttributeListRole } from './attributes-list.types';
import { IAttributeItem } from '../../shared/interfaces/attribute-item.interface';
import { ILockedAttribute } from '../../shared/interfaces/locked-attributes.interface';
import * as i0 from "@angular/core";
/** @internal */
export declare class AttributesListComponent {
    /** Array of attributes rendered in this list */
    attributes: IAttributeItem[];
    /** List role: 'primary' (attributes displayed in list-view) or 'secondary' (attributes displayed in detail-view) */
    role: TAttributeListRole;
    /** Whether drag'n'drop of items in the list is disabled */
    dragDisabled: boolean;
    /** Defines the visual style of the list (default or compact) */
    kind: TAttributeListKind;
    /** Attribute un-/checked event */
    checkedChange: EventEmitter<IAttributeItem>;
    /** Drop event */
    cdkDropListDropped: EventEmitter<CdkDragDrop<IAttributeItem[]>>;
    /** While a given attribute is used in a filter or sort, it is locked in the settings. */
    lockedAttributes: ILockedAttribute[];
    /** Event emitted when an item is moved to the other list. Contains the index of the moved item. */
    moveToOtherListTriggered: EventEmitter<number>;
    /** @internal */
    private get classKind();
    /** Handle checkedChange event */
    protected onCheckedChange(index: number): void;
    /** Workaround to make fake labels clickable. */
    protected checkAttribute(index: number): void;
    /** Pass-through the CDK's drop event */
    protected onDrop(event: CdkDragDrop<IAttributeItem[]>): void;
    protected isLocked(label: string): boolean;
    /** Emit the "move to other list" event */
    protected moveToOtherList(index: number, event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AttributesListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AttributesListComponent, "inbox-attributes-list", never, { "attributes": { "alias": "attributes"; "required": true; }; "role": { "alias": "role"; "required": true; }; "dragDisabled": { "alias": "dragDisabled"; "required": false; }; "kind": { "alias": "kind"; "required": false; }; "lockedAttributes": { "alias": "lockedAttributes"; "required": false; }; }, { "checkedChange": "checkedChange"; "cdkDropListDropped": "cdkDropListDropped"; "moveToOtherListTriggered": "moveToOtherListTriggered"; }, never, never, true, never>;
}
