import { IIconInput } from '../../shared/interfaces/icon-input.interface';
import * as i0 from "@angular/core";
/**
 * Component to display the four icon filters and handle the click of them.
 *
 * ```html
 * <talenra-icon-filters
 *   [(availableIcons)]="availableIcons"
 * ></talenra-icon-filters>
 * ```
 */
export declare class IconFiltersComponent {
    /**
     * List of given IconFilters.
     */
    availableIcons: import("@angular/core").ModelSignal<IIconInput[]>;
    /**
     * Method to save and emit changes.
     * @param iconInput The icon that changed and is to be emitted.
     */
    onValuesSelected(iconInput: IIconInput): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconFiltersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconFiltersComponent, "talenra-icon-filter", never, { "availableIcons": { "alias": "availableIcons"; "required": false; "isSignal": true; }; }, { "availableIcons": "availableIconsChange"; }, never, never, true, never>;
}
