import { TConfigurationPanelBottomBarActions } from '../../shared/types/configuration-panel.types';
import { FilterStateService } from '../../simple-filter-selection/state/filter.state';
import * as i0 from "@angular/core";
/**
 * Responsible for interaction with bottom bar.
 *
 * ```html
 * <talenra-inbox-configuration-panel-bottom-bar
 *   (buttonAction)="onButtonAction($event)"
 * ></talenra-inbox-configuration-panel-bottom-bar>
 * ```
 */
export declare class InboxConfigurationPanelBottomBarComponent {
    /**
     * Emits actions.
     */
    buttonAction: import("@angular/core").OutputEmitterRef<TConfigurationPanelBottomBarActions>;
    /**
     * Injects the filter state service.
     */
    filterState: FilterStateService;
    /**
     * Triggers the button action.
     * @param mouseEvent The mouse action that is to be stopped from propagation.
     * @param action The action that is to be emitted.
     */
    onActionClick(mouseEvent: MouseEvent, action: TConfigurationPanelBottomBarActions): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InboxConfigurationPanelBottomBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InboxConfigurationPanelBottomBarComponent, "talenra-inbox-configuration-panel-bottom-bar", never, {}, { "buttonAction": "buttonAction"; }, never, never, true, never>;
}
