import { OnDestroy } from '@angular/core';
import { InboxDetailViewService } from '../inbox-detail-view.service';
import { InboxToolbarService } from '../../../inbox-toolbar/inbox-toolbar.service';
import { IInboxTabBarItem } from '../../../shared/interfaces/inbox-tab-bar-item.interface';
import * as i0 from "@angular/core";
/**
 * The data item information tab bar and data item information components are merged into the data item information box
 * for better handling.
 *
 * ```html
 * <talenra-detail-view-information-box
 *   [dataItemInformationTabBarItems]="dataItemInformationTabBarItems"
 * ></talenra-detail-view-information-box>
 * ```
 */
export declare class DetailViewInformationBoxComponent implements OnDestroy {
    /**
     * List of all data item information tab bar items
     */
    detailViewInformationTabBarItems: import("@angular/core").InputSignal<IInboxTabBarItem[]>;
    /**
     * The public service of the inbox detail view.
     */
    inboxDetailViewService: InboxDetailViewService;
    inboxToolbarService: InboxToolbarService;
    /**
     * Subscriptions of the data item information box.
     *  @internal
     */
    private subscriptions;
    /**
     * Unsubscribe from all subscriptions.
     * @internal
     */
    ngOnDestroy(): void;
    /**
     * Selects the specific tab and expands the layout with layout service.
     * @param key The key of the selected tab.
     */
    onTabChange(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailViewInformationBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailViewInformationBoxComponent, "talenra-detail-view-information-box", never, { "detailViewInformationTabBarItems": { "alias": "detailViewInformationTabBarItems"; "required": true; "isSignal": true; }; }, {}, never, ["[data-item-information-outlet]"], true, never>;
}
