import { IInboxTabBarItem } from '../../../../shared/interfaces/inbox-tab-bar-item.interface';
import * as i0 from "@angular/core";
/**
 * The accumulation of several tabs. This is where the basic arrangement of the tabs is set.
 *
 * ```html
 * <talenra-detail-view-information-tab-bar
 *   [dataItemInformationTabBarItems]="dataItemInformationTabBarItems"
 * ></talenra-detail-view-information-tab-bar>
 * ```
 */
export declare class DetailViewInformationTabBarComponent {
    /**
     * Information about key, label and icons that are initialized in data item information tab bar items
     */
    detailViewInformationTabBarItems: import("@angular/core").InputSignal<IInboxTabBarItem[]>;
    /**
     * The selected tab.
     */
    selectedTab: import("@angular/core").ModelSignal<string>;
    /**
     * Determines if the arrow navigation is active.
     */
    arrowNavigationActive: import("@angular/core").InputSignal<boolean>;
    /**
     * The injected services.
     */
    private keyboardService;
    private destroyRef;
    /** @internal */
    constructor();
    /**
     * Selects the specific tab and expands the layout with layout service.
     * @param {string} key The name of the selected tab.
     */
    selectDataItemInformationTab(key: string): void;
    /**
     * Navigates to the next tab.
     */
    private arrowNavigateToNextTab;
    /**
     * Navigates to the previous tab.
     */
    private arrowNavigateToPreviousTab;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailViewInformationTabBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailViewInformationTabBarComponent, "talenra-detail-view-information-tab-bar", never, { "detailViewInformationTabBarItems": { "alias": "detailViewInformationTabBarItems"; "required": true; "isSignal": true; }; "selectedTab": { "alias": "selectedTab"; "required": true; "isSignal": true; }; "arrowNavigationActive": { "alias": "arrowNavigationActive"; "required": false; "isSignal": true; }; }, { "selectedTab": "selectedTabChange"; }, never, never, true, never>;
}
