import { IInboxTabBarItem } from '../../shared/interfaces/inbox-tab-bar-item.interface';
import * as i0 from "@angular/core";
/**
 * The data item information box and inbox note-box are merged into the inbox detail view for better handling.
 *
 * ```html
 * <talenra-inbox-detail-view [dataItemInformationTabBarItems]="dataItemInformationTabBarItems">
 *   <ng-content inbox-note-box> ... </ng-content>
 *   <ng-content detail-view-information-outlet"> ... </ng-content>
 * </talenra-inbox-detail-view>
 * ```
 */
export declare class InboxDetailViewComponent {
    /**
     * Items used to initialize the tab bar with content.
     */
    dataItemInformationTabBarItems: import("@angular/core").InputSignal<IInboxTabBarItem[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<InboxDetailViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InboxDetailViewComponent, "talenra-inbox-detail-view", never, { "dataItemInformationTabBarItems": { "alias": "dataItemInformationTabBarItems"; "required": true; "isSignal": true; }; }, {}, never, ["[inbox-note-box]", "[data-item-information-outlet]"], true, never>;
}
