import { InboxDetailViewService } from '../inbox-detail-view.service';
import { INoteBoxItem } from '../../../shared/interfaces/note-box-item.interface';
import * as i0 from "@angular/core";
/**
 * Displays a note box which contains info icons correlating note.
 *
 * ```html
 * <talenra-inbox-note-box [noteBoxItems]="noteBoxItems"></talenra-inbox-note-box>
 * ```
 */
export declare class InboxNoteBoxComponent {
    /**
     * Input data to create a dynamic component.
     */
    noteBoxItems: INoteBoxItem[];
    /**
     * The inbox detail view service.
     */
    inboxDetailViewService: InboxDetailViewService;
    /**
     * Method to emit the expanding and condensing of the note box.
     */
    onExpandClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InboxNoteBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InboxNoteBoxComponent, "talenra-inbox-note-box", never, { "noteBoxItems": { "alias": "noteBoxItems"; "required": false; }; }, {}, never, never, true, never>;
}
