import { IAttributeItem } from './attribute-item.interface';
import { IFilterAttribute, TFilterAttributeOperators } from './filter-attribute.interface';
/**
 * Interface for selected filter attribute.
 */
export interface ISelectedFilterAttribute {
    /**
     * The attribute selected for the filter.
     */
    attribute: IAttributeItem;
    /**
     * Operator for the filter.
     */
    operator: TFilterAttributeOperators;
    /**
     * The possible filter selection for the attribute.
     */
    filterAttribute?: IFilterAttribute;
}
