/**
 *  ISortAttributesInput is used to define which attribute identifiers are used to sort the items in the inbox.
 *
 * **Important Information:**
 *
 * 1. **The identifier must already be used in selectedAttributes (SelectedAttributesInput[]).**
 *
 * @example
 * import { ISortAttributesInput } from '@talenra/ngx-inbox';
 *
 * const selectedAttributeInput: ISortAttributesInput = {identifier: 'caseId', sort: 'asc'};
 */
export interface ISortAttributesInput {
    /**
     * the identifier of the attribute which is used to sort the items in the inbox.
     */
    identifier: string;
    /**
     * the sort direction of the attribute which is used to sort the items in the inbox.
     */
    sort: 'asc' | 'desc';
}
