import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { ISelectedFilterAttribute } from '../../shared/interfaces/selected-filter-attribute.interface';
import * as i0 from "@angular/core";
export declare class TextFilterComponent implements OnInit, OnChanges {
    /**
     * The attribute to identify which filter is selected.
     */
    attribute: import("@angular/core").InputSignal<ISelectedFilterAttribute>;
    /**
     * The filterSelection output is used to emit the filter values.
     */
    filterSelection: import("@angular/core").OutputEmitterRef<ISelectedFilterAttribute>;
    /**
     * The filterValues are the values that are used to filter the data items.
     */
    reactiveForm: FormGroup<{
        textField: FormControl<string | null>;
    }>;
    /**
     * Function is called when the component is initialized.
     */
    ngOnInit(): void;
    /**
     * @internal
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Function is necessary to delete the filter from the filter toolbar.
     * Furthermore, the previous filtering with the deleted filter will be ignored.
     * @param mouseEvent The mouse event.
     */
    resetValue(mouseEvent: MouseEvent): void;
    /**
     * All selected filters will be saved in the map with there defintion and values
     * @param value The value of the filter.
     */
    private onValuesSelected;
    /**
     * Function is necessary to initialize the filter values.
     */
    private initializeFilterValues;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextFilterComponent, "talenra-text-filter", never, { "attribute": { "alias": "attribute"; "required": true; "isSignal": true; }; }, { "filterSelection": "filterSelection"; }, never, never, true, never>;
}
